using UnityEngine;
namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("Dying Light Mod", "[ Good night, good luck... ]", ModAPI.LoadSprite("Sprites/category.png"));
            ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=yellow>Rais' Gang [3]",
           DescriptionOverride = "\n<color=white>[ Rais' Men is a group of hostile survivors who appear in Dying Light ] \n<color=red>ITEM REQUIRED: Any mask",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/men3-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
           }
           );
           ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=yellow>Rais' Gang [2]",
           DescriptionOverride = "\n<color=white>[ Rais' Men is a group of hostile survivors who appear in Dying Light ] \n<color=red>ITEM REQUIRED: Any mask",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/men2-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
           }
           );
           ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=yellow>Rais' Gang [1]",
           DescriptionOverride = "\n<color=white>[ Rais' Men is a group of hostile survivors who appear in Dying Light ] \n<color=red>ITEM REQUIRED: Any mask",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/men-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
           }
           );
           ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Android"),
              NameOverride = "\n<color=red>Demolisher",
              NameToOrderByOverride = "!",
              DescriptionOverride = "\n<color=white>[ Demolishers are an uncommon Infected-type in Dying Light ]",
              CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
              ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
              AfterSpawn = (Instance) =>
              {

                  var skin = ModAPI.LoadTexture("Sprites/demolisher-skin.png");
                  var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                  var bone = ModAPI.LoadTexture("Sprites/bone.png");



                  var person = Instance.GetComponent<PersonBehaviour>();


                  person.SetBodyTextures(skin, flesh, bone, 1);


                  person.SetBruiseColor(100, 100, 100);
                  person.SetSecondBruiseColor(154, 0, 7);
                  person.SetThirdBruiseColor(207, 206, 120);
                  person.SetRottenColour(202, 199, 104);
                  person.SetBloodColour(108, 0, 4);
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 1.0f;
                             body.Health *= 1.0f;
                             body.BreakingThreshold *= 1f;
                             body.transform.root.localScale *= 1.01f;
                        }
              }
          }
        );
        ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Human"),
              NameOverride = "\n<color=red>Screamer",
              NameToOrderByOverride = "!",
              DescriptionOverride = "\n<color=white>[ The Screamer is an uncommon Infected-type in Dying Light ]",
              CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
              ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
              AfterSpawn = (Instance) =>
              {

                  var skin = ModAPI.LoadTexture("Sprites/screamer-skin.png");
                  var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                  var bone = ModAPI.LoadTexture("Sprites/bone.png");



                  var person = Instance.GetComponent<PersonBehaviour>();


                  person.SetBodyTextures(skin, flesh, bone, 1);


                  person.SetBruiseColor(100, 100, 100);
                  person.SetSecondBruiseColor(154, 0, 7);
                  person.SetThirdBruiseColor(207, 206, 120);
                  person.SetRottenColour(202, 199, 104);
                  person.SetBloodColour(108, 0, 4);
                        foreach (var body in person.Limbs)
                        {
                             body.BaseStrength *= 0.5f;
                             body.Health *= 0.5f;
                             body.BreakingThreshold *= 1f;
                             body.transform.root.localScale *= 0.97f;
                        }
              }
          }
        );
        ModAPI.Register(
       new Modification()
       {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "\n<color=yellow>Bozak",
       DescriptionOverride = "\n<color=white>[ Bozak is a character featured in Dying Light ] \n<color=red>ITEM REQUIRED: Bozak's Mask",
       CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
       ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
       AfterSpawn = (Instance) =>
       {var skin = ModAPI.LoadTexture("Sprites/bozak-skin.png");
           var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
           var bone = ModAPI.LoadTexture("Sprites/bone.png");
           var person = Instance.GetComponent<PersonBehaviour>();
           person.SetBodyTextures(skin, flesh, bone, 1);
       }
       }
       );
       ModAPI.Register(
       new Modification()
       {
       OriginalItem = ModAPI.FindSpawnable("Android"),
       NameOverride = "\n<color=red>Toxic Goon",
       DescriptionOverride = "\n<color=white>[ Goons are an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Goon's Weapon",
       CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
       ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
       AfterSpawn = (Instance) =>
       {var skin = ModAPI.LoadTexture("Sprites/goon-tox-skin.png");
           var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
           var bone = ModAPI.LoadTexture("Sprites/bone.png");
           var person = Instance.GetComponent<PersonBehaviour>();
           person.SetBodyTextures(skin, flesh, bone, 1);
       }
       }
       );
       ModAPI.Register(
       new Modification()
       {
       OriginalItem = ModAPI.FindSpawnable("Android"),
       NameOverride = "\n<color=red>Mutated Goon",
       DescriptionOverride = "\n<color=white>[ Goons are an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Goon's Weapon",
       CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
       ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
       AfterSpawn = (Instance) =>
       {var skin = ModAPI.LoadTexture("Sprites/goon-skin.png");
           var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
           var bone = ModAPI.LoadTexture("Sprites/bone.png");
           var person = Instance.GetComponent<PersonBehaviour>();
           person.SetBodyTextures(skin, flesh, bone, 1);
       }
       }
       );
       ModAPI.Register(
                                    new Modification()
                                    {
                                        OriginalItem = ModAPI.FindSpawnable("Plank"),
                                        NameOverride = "\n<color=grey>Loot Package",
                                        DescriptionOverride = "\n<color=white>[ Loot package. ]",
                                        CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                                        ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                                        AfterSpawn = (Instance) =>
                                        {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/loot-skin.png");
                                        }
                                    }
                                    );
                                    ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "\n<color=red>Viral [3]",
DescriptionOverride = "\n<color=white>[ Virals are a common infected-type in Dying Light ]",
CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
AfterSpawn = (Instance) =>
{var skin = ModAPI.LoadTexture("Sprites/viral3-skin.png");
var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
var bone = ModAPI.LoadTexture("Sprites/bone.png");
var person = Instance.GetComponent<PersonBehaviour>();
person.SetBodyTextures(skin, flesh, bone, 1);


               var arm1 = Instance.transform.Find("Head");
               var phys1 = arm1.GetComponent<PhysicalBehaviour>();
               var prop1 = ModAPI.FindPhysicalProperties("Human");
               prop1.Sharp = true;
               prop1.SharpAxes = new[]
               {
                   new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
               };
               phys1.Properties = prop1;
}
}
);
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "\n<color=red>Viral [2]",
DescriptionOverride = "\n<color=white>[ Virals are a common infected-type in Dying Light ]",
CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
AfterSpawn = (Instance) =>
{var skin = ModAPI.LoadTexture("Sprites/viral2-skin.png");
var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
var bone = ModAPI.LoadTexture("Sprites/bone.png");
var person = Instance.GetComponent<PersonBehaviour>();
person.SetBodyTextures(skin, flesh, bone, 1);
}
}
);
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "\n<color=red>Viral [1]",
DescriptionOverride = "\n<color=white>[ Virals are a common infected-type in Dying Light ]",
CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
AfterSpawn = (Instance) =>
{var skin = ModAPI.LoadTexture("Sprites/viral1-skin.png");
var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
var bone = ModAPI.LoadTexture("Sprites/bone.png");
var person = Instance.GetComponent<PersonBehaviour>();
person.SetBodyTextures(skin, flesh, bone, 1);
}
}
);
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "\n<color=red>Blue Volatile",
DescriptionOverride = "\n<color=white>[ The Volatile is an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Volatile's Needles :3",
CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
AfterSpawn = (Instance) =>
{var skin = ModAPI.LoadTexture("Sprites/b-volatile-skin.png");
var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
var bone = ModAPI.LoadTexture("Sprites/bone.png");
var person = Instance.GetComponent<PersonBehaviour>();
person.SetBodyTextures(skin, flesh, bone, 1);


               var arm1 = Instance.transform.Find("Head");
               var phys1 = arm1.GetComponent<PhysicalBehaviour>();
               var prop1 = ModAPI.FindPhysicalProperties("Human");
               prop1.Sharp = true;
               prop1.SharpAxes = new[]
               {
                   new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
               };
               phys1.Properties = prop1;
}
}
);
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Human"),
NameOverride = "\n<color=red>Bolter",
DescriptionOverride = "\n<color=white>[ Bolters are an uncommon Infected-type in Dying Light ]",
CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
AfterSpawn = (Instance) =>
{var skin = ModAPI.LoadTexture("Sprites/bolter-skin.png");
var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
var bone = ModAPI.LoadTexture("Sprites/bone.png");
var person = Instance.GetComponent<PersonBehaviour>();
person.SetBodyTextures(skin, flesh, bone, 1);
}
}
);
ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                            NameOverride = "\n<color=grey>Biomass",
                            DescriptionOverride = "\n<color=white>[ From this nasty thing like Volatiles grow, sort of like ]",
                            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                            AfterSpawn = (Instance) =>
                            {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/biomass-skin.png");
                            }
                        }
                        );
                        ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                            NameOverride = "\n<color=grey>Airdrops",
                            DescriptionOverride = "\n<color=white>[ Airdrops is a gameplay feature that appears in Dying Light, containing humanitarian aid sent by the Global Relief Effort ]",
                            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                            AfterSpawn = (Instance) =>
                            {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/airdrop-skin.png");
                            }
                        }
                        );
                        ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Stick"),
                            NameOverride = "\n<color=grey>Volatile's Needles :3",
                            DescriptionOverride = "\n<color=white>[ When will Dying Light 2 be out? ]",
                            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                            AfterSpawn = (Instance) =>
                            {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/volatile-n-skin.png");
                                ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                armor.stabResistance = 0f;
                                armor.armorPiece = "MiddleBody";
                                armor.armorTier = 0;

                                Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                Instance.FixColliders();
                            }
                        }
                        );
                        ModAPI.Register(
      new Modification()
      {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "\n<color=red>Volatile",
      DescriptionOverride = "\n<color=white>[ The Volatile is an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Volatile's Needles :3",
      CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
      ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
      AfterSpawn = (Instance) =>
      {var skin = ModAPI.LoadTexture("Sprites/volatile-skin.png");
          var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
          var bone = ModAPI.LoadTexture("Sprites/bone.png");
          var person = Instance.GetComponent<PersonBehaviour>();
          person.SetBodyTextures(skin, flesh, bone, 1);

          var arm1 = Instance.transform.Find("Head");
          var phys1 = arm1.GetComponent<PhysicalBehaviour>();
          var prop1 = ModAPI.FindPhysicalProperties("Human");
          prop1.Sharp = true;
          prop1.SharpAxes = new[]
          {
              new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
          };
          phys1.Properties = prop1;
      }
      }
      );
      ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                      NameOverride = "\n<color=grey>Bomber's Organs",
                      DescriptionOverride = "\n<color=white>[ Boom ]",
                      CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                      ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                      AfterSpawn = (Instance) =>
                      {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/bomber-org-skin.png");
                          ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                          armor.stabResistance = 0f;
                          armor.armorPiece = "MiddleBody";
                          armor.armorTier = 0;

                          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                          Instance.FixColliders();
                      }
                  }
                  );
                  ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>Bomber",
            DescriptionOverride = "\n<color=white>[ Bombers are an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Bomber's Organs",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/bomber-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);
            }
            }
            );
            ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("Hammer"),
                     NameOverride = "\n<color=grey>Goon's Weapon",
                     DescriptionOverride = "\n<color=white>[ Noog ]",
                     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                     AfterSpawn = (Instance) =>
                     {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/goon-weapon-skin.png");
                     }
                 }
                 );
                 ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Android"),
            NameOverride = "\n<color=red>Goon",
            DescriptionOverride = "\n<color=white>[ Goons are an uncommon Infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Goon's Weapon",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/goon-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);
            }
            }
            );
            ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>GasTank (Silver)",
            DescriptionOverride = "\n<color=white>[ The Gas Tank is a common infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Oxygen Tank",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/gastank-s-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);
            }
            }
            );
            ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>GasTank (Yellow)",
            DescriptionOverride = "\n<color=white>[ The Gas Tank is a common infected-type in Dying Light ] \n<color=red>ITEM REQUIRED: Oxygen Tank",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/gastank-y-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);
            }
            }
            );
            ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>Biter [3]",
            DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/biter3-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);

                var arm1 = Instance.transform.Find("Head");
                var phys1 = arm1.GetComponent<PhysicalBehaviour>();
                var prop1 = ModAPI.FindPhysicalProperties("Human");
                prop1.Sharp = true;
                prop1.SharpAxes = new[]
                {
                    new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
                };
                phys1.Properties = prop1;
            }
            }
            );
            ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>Biter [2]",
            DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/biter2-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);

                var arm1 = Instance.transform.Find("Head");
                var phys1 = arm1.GetComponent<PhysicalBehaviour>();
                var prop1 = ModAPI.FindPhysicalProperties("Human");
                prop1.Sharp = true;
                prop1.SharpAxes = new[]
                {
                    new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
                };
                phys1.Properties = prop1;
            }
            }
            );
            ModAPI.Register(
            new Modification()
            {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=red>Biter [1]",
            DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/biter1-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh-z-s.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);

                var arm1 = Instance.transform.Find("Head");
                var phys1 = arm1.GetComponent<PhysicalBehaviour>();
                var prop1 = ModAPI.FindPhysicalProperties("Human");
                prop1.Sharp = true;
                prop1.SharpAxes = new[]
                {
                    new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
                };
                phys1.Properties = prop1;
            }
            }
            );
            ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=red>Weak Biter [3]",
           DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/weak3-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh-z-s.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);

               var arm1 = Instance.transform.Find("Head");
               var phys1 = arm1.GetComponent<PhysicalBehaviour>();
               var prop1 = ModAPI.FindPhysicalProperties("Human");
               prop1.Sharp = true;
               prop1.SharpAxes = new[]
               {
                   new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
               };
               phys1.Properties = prop1;
           }
           }
           );
           ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=red>Weak Biter [2]",
           DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/weak2-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);

               var arm1 = Instance.transform.Find("Head");
               var phys1 = arm1.GetComponent<PhysicalBehaviour>();
               var prop1 = ModAPI.FindPhysicalProperties("Human");
               prop1.Sharp = true;
               prop1.SharpAxes = new[]
               {
                   new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
               };
               phys1.Properties = prop1;
           }
           }
           );
           ModAPI.Register(
           new Modification()
           {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=red>Weak Biter [1]",
           DescriptionOverride = "\n<color=white>[ Biters are a common Infected-type in Dying Light ]",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/weak1-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh-z.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);

               var arm1 = Instance.transform.Find("Head");
               var phys1 = arm1.GetComponent<PhysicalBehaviour>();
               var prop1 = ModAPI.FindPhysicalProperties("Human");
               prop1.Sharp = true;
               prop1.SharpAxes = new[]
               {
                   new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
               };
               phys1.Properties = prop1;
           }
           }
           );
           ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("AK-47"),
                NameOverride = "\n<color=purple>Military Rifle",
                DescriptionOverride = "\n<color=white>[ The Military Rifle is a firearm in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/m-rifle-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                NameOverride = "\n<color=purple>Police Rifle",
                DescriptionOverride = "\n<color=white>[ The Police Rifle is a firearm in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/p-rifle-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                NameOverride = "\n<color=purple>Double-Barrel Shotgun",
                DescriptionOverride = "\n<color=white>[ The Double-Barrel Shotgun is a firearm in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/shotgun-skin.png");
                }
            }
            );
            ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("Blaster Rifle"),
                     NameOverride = "\n<color=purple>Anti-Gadoid Gun",
                     DescriptionOverride = "\n<color=white>[ The Anti-Gadoid Gun is a unique firearm that can be obtained through the quest Legless Spider ]",
                     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                     AfterSpawn = (Instance) =>
                     {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/blaster-skin.png");

                     UnityEngine.Object.Destroy(Instance.transform.GetChild(0).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(1).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(2).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(3).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(4).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(5).gameObject);
                     UnityEngine.Object.Destroy(Instance.transform.GetChild(6).gameObject);



                     var firearm = Instance.GetComponent<BlasterBehaviour>();

                     firearm.Interval = 0.20f;




                     firearm.Clips = new AudioClip[]
                     {
                         ModAPI.LoadSound("Sounds/xdxd.wav")
                     };


                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                     Instance.FixColliders();
                     Instance.GetComponent<BlasterboltBehaviour>().damage = 0f;
                     }
                 }
                 );
                 ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("Pistol"),
                     NameOverride = "\n<color=purple>American 9mm Pistol",
                     DescriptionOverride = "\n<color=white>[ The American 9mm Pistol is a firearm in Dying Light ]",
                     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                     AfterSpawn = (Instance) =>
                     {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/americann-mm9pistol-skin.png");
                     }
                 }
                 );
                 ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("Pistol"),
                     NameOverride = "\n<color=purple>German 9mm Pistol",
                     DescriptionOverride = "\n<color=white>[ The German 9mm Pistol is a firearm in Dying Light ]",
                     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                     AfterSpawn = (Instance) =>
                     {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/german-mm9pistol-skin.png");
                     }
                 }
                 );
                 ModAPI.Register(
                       new Modification()
                       {
                           OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                           NameOverride = "\n<color=grey>Oxygen Tank",
                           DescriptionOverride = "\n<color=white>[ Only for GasTanks!! ]",
                           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                           AfterSpawn = (Instance) =>
                           {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/ox-tank-skin.png");
                               ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                               armor.stabResistance = 0f;
                               armor.armorPiece = "UpperBody";
                               armor.armorTier = 0;

                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                               Instance.FixColliders();
                           }
                       }
                       );
                       ModAPI.Register(
                       new Modification()
                       {
                           OriginalItem = ModAPI.FindSpawnable("Stick"),
                           NameOverride = "\n<color=grey>Bozak's Mask",
                           DescriptionOverride = "\n<color=white>[ Bozak's Mask. Actually only for Bozak ]",
                           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                           AfterSpawn = (Instance) =>
                           {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/mask-skin.png");
                               ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                               armor.stabResistance = 0f;
                               armor.armorPiece = "Head";
                               armor.armorTier = 0;

                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                               Instance.FixColliders();
                           }
                       }
                       );
                       ModAPI.Register(
                       new Modification()
                       {
                           OriginalItem = ModAPI.FindSpawnable("Stick"),
                           NameOverride = "\n<color=grey>Respirator With Glasses",
                           DescriptionOverride = "\n<color=white>[ Respirator with glasses. Only for Rais Men's ]",
                           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                           AfterSpawn = (Instance) =>
                           {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/respirator-skin.png");
                               ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                               armor.stabResistance = 0f;
                               armor.armorPiece = "Head";
                               armor.armorTier = 0;

                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                               Instance.FixColliders();
                           }
                       }
                       );
                       ModAPI.Register(
                       new Modification()
                       {
                           OriginalItem = ModAPI.FindSpawnable("Stick"),
                           NameOverride = "\n<color=grey>Another Gas Mask",
                           DescriptionOverride = "\n<color=white>[ Another gas mask, why not? Only for Rais Men's ]",
                           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                           AfterSpawn = (Instance) =>
                           {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/gasmask2-skin.png");
                               ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                               armor.stabResistance = 0f;
                               armor.armorPiece = "Head";
                               armor.armorTier = 0;

                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                               Instance.FixColliders();
                           }
                       }
                       );
                       ModAPI.Register(
                       new Modification()
                       {
                           OriginalItem = ModAPI.FindSpawnable("Stick"),
                           NameOverride = "\n<color=grey>Gas Mask",
                           DescriptionOverride = "\n<color=white>[ Gas mask. Only for Rais Men's ]",
                           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                           AfterSpawn = (Instance) =>
                           {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/gasmask-skin.png");
                               ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                               armor.stabResistance = 0f;
                               armor.armorPiece = "Head";
                               armor.armorTier = 0;

                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                               Instance.FixColliders();
                           }
                       }
                       );
      ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "\n<color=orange>Michael",
     DescriptionOverride = "\n<color=white>[ Michael is a character featured in Dying Light ]",
     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
     AfterSpawn = (Instance) =>
     {var skin = ModAPI.LoadTexture("Sprites/michael-skin.png");
         var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
         var bone = ModAPI.LoadTexture("Sprites/bone.png");
         var person = Instance.GetComponent<PersonBehaviour>();
         person.SetBodyTextures(skin, flesh, bone, 1);
     }
 }
 );
 ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Stick"),
                NameOverride = "\n<color=grey>Savvy's Hair",
                DescriptionOverride = "\n<color=white>[ Mango (for Daz_72_dan) ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/savvy-hair-skin.png");
                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                    armor.stabResistance = 0f;
                    armor.armorPiece = "Head";
                    armor.armorTier = 0;

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    Instance.FixColliders();
                }
            }
            );
            ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "\n<color=orange>Savvy",
     DescriptionOverride = "\n<color=white>[ Savvy is a character featured in Dying Light ] \n<color=red>ITEM REQUIRED: Savvy's Hair",
     CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
     ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
     AfterSpawn = (Instance) =>
     {var skin = ModAPI.LoadTexture("Sprites/savvy-skin.png");
         var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
         var bone = ModAPI.LoadTexture("Sprites/bone.png");
         var person = Instance.GetComponent<PersonBehaviour>();
         person.SetBodyTextures(skin, flesh, bone, 1);
     }
 }
 );
                  ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("Stick"),
                      NameOverride = "\n<color=grey>Troy's Cap",
                      DescriptionOverride = "\n<color=white>[ Guys, I increased the height of the cap by one pixel, so in order not to close your eyes on Troy's head, adjust the cap one pixel higher!!! ]",
                      CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                      ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                      AfterSpawn = (Instance) =>
                      {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/troy-cap-skin.png");
                          ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                          armor.stabResistance = 0f;
                          armor.armorPiece = "Head";
                          armor.armorTier = 0;

                          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                          Instance.FixColliders();
                      }
                  }
                  );
                  ModAPI.Register(
       new Modification()
       {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=orange>Troy",
           DescriptionOverride = "\n<color=white>[ Troy is a character featured in Dying Light ] \n<color=red>ITEM REQUIRED: Troy's Cap",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/troy-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
       }
       );
         ModAPI.Register(
       new Modification()
       {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=yellow>Tahir",
           DescriptionOverride = "\n<color=white>[ Tahir is a character featured in Dying Light, serves as the secondary antagonist ]",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/tahir-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
       }
       );
       ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = "\n<color=purple>Vegetable Cleaver",
                DescriptionOverride = "\n<color=white>[ Cleavers are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/v-cleaver-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = "\n<color=purple>Tipped Cleaver",
                DescriptionOverride = "\n<color=white>[ Cleavers are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/t-cleaver-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = "\n<color=purple>Beef Cleaver",
                DescriptionOverride = "\n<color=white>[ Cleavers are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/b-cleaver-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"),
                NameOverride = "\n<color=purple>Tanto Machete",
                DescriptionOverride = "\n<color=white>[ Machetes are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/t-machete-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"),
                NameOverride = "\n<color=purple>Military Machete",
                DescriptionOverride = "\n<color=white>[ Machetes are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/m-machete-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"),
                NameOverride = "\n<color=purple>Hunter's Machete",
                DescriptionOverride = "\n<color=white>[ Machetes are a type of sharp melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/h-machete-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                NameOverride = "\n<color=purple>Classic Baseball Bat",
                DescriptionOverride = "\n<color=white>[ They are relatively common weapons, one of the weapons you might receive from the Quartermaster ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/classic-bat-skin.png");
                }
            }
            );
              ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                NameOverride = "\n<color=purple>Composite Baseball Bat",
                DescriptionOverride = "\n<color=white>[ They are relatively common weapons, one of the weapons you might receive from the Quartermaster ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/baseball-skin.png");
                }
            }
            );
              ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                NameOverride = "\n<color=purple>Cricket Bat",
                DescriptionOverride = "\n<color=white>[ They are relatively common weapons, one of the weapons you might receive from the Quartermaster ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/cricket-skin.png");
                }
            }
            );
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=purple>Pipe",
                DescriptionOverride = "\n<color=white>[ Pipes are a type of blunt melee weapon featured in Dying Light ]",
                CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                AfterSpawn = (Instance) =>
                {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/tube-skin.png");
                }
            }
            );
            ModAPI.Register(
       new Modification()
       {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=green>Rahim",
           DescriptionOverride = "\n<color=white>[ Rahim Aldemir is a main character featured in Dying Light ] \n<color=red>ITEM REQUIRED: Rahim's Glasses",
           CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
           ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
           AfterSpawn = (Instance) =>
           {var skin = ModAPI.LoadTexture("Sprites/rahim-skin.png");
               var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
               var bone = ModAPI.LoadTexture("Sprites/bone.png");
               var person = Instance.GetComponent<PersonBehaviour>();
               person.SetBodyTextures(skin, flesh, bone, 1);
           }
       }
       );
       ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Stick"),
                 NameOverride = "\n<color=grey>Rahim's Glasses",
                 DescriptionOverride = "\n<color=white>[ Are these glasses for sure? I still do not understand what this thing is on his head ]",
                 CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                 ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                 AfterSpawn = (Instance) =>
                 {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/glasses-skin.png");
                     ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                     armor.stabResistance = 0f;
                     armor.armorPiece = "Head";
                     armor.armorTier = 0;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                     Instance.FixColliders();
                 }
             }
             );
             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Flask"),
                 NameOverride = "\n<color=grey>Antizin Ampule",
                 DescriptionOverride = "\n<color=white>[ Antizin is an intravenous antiviral drug that acts as a temporary cure for the Harran virus in Dying Light ]",
                 CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                 ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                 AfterSpawn = (Instance) =>
                 {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/antizin-skin.png");
                 }
             }
             );
             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Stick"),
                 NameOverride = "\n<color=grey>Antizin Injector",
                 DescriptionOverride = "\n<color=white>[ Antizin is an intravenous antiviral drug that acts as a temporary cure for the Harran virus in Dying Light ]",
                 CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                 ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                 AfterSpawn = (Instance) =>
                 {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/antizin-injector-skin.png");
                 }
             }
             );
             ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Human"),
            NameOverride = "\n<color=yellow>Rais",
            DescriptionOverride = "\n<color=white>[ Kadir Suleiman, better known by his nom de guerre (war name) Rais, is a main character featured in Dying Light, serving as the primary antagonist ]",
            CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
            ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
            AfterSpawn = (Instance) =>
            {var skin = ModAPI.LoadTexture("Sprites/rais-skin.png");
                var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                var bone = ModAPI.LoadTexture("Sprites/bone.png");
                var person = Instance.GetComponent<PersonBehaviour>();
                person.SetBodyTextures(skin, flesh, bone, 1);
            }
        }
        );
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "\n<color=grey>Jade's Hair",
                    DescriptionOverride = "\n<color=white>[ NAYSHAHSHAHSAHSA, JADE LOOK'S SO FUNNY WITHOUT HAIR. Please, put it back... ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/jade-hair-skin.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 0f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
                );
                    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "\n<color=blue>Kyle Crane",
                    DescriptionOverride = "\n<color=white>[ Kyle Crane is the playable protagonist of Dying Light and Dying Light: The Following ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {var skin = ModAPI.LoadTexture("Sprites/kyle-skin.png");
                        var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
                );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "\n<color=green>Dr. Camden",
                    DescriptionOverride = "\n<color=white>[ Doctor Allen Camden is a major character in Dying Light ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/camden-skin.png");
                        var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
                );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "\n<color=green>Leader Brecken",
                    DescriptionOverride = "\n<color=white>[ Brecken is a major character that appears in Dying Light and the deuteragonist in the full game ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/brecken-skin.png");
                        var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
                );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "\n<color=green>Amir",
                    DescriptionOverride = "\n<color=white>[ Amir Ghoreyshi is a minor character featured in Dying Light ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/amir-skin.png");
                        var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
                );
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "\n<color=green>Jade",
        DescriptionOverride = "\n<color=white>[ Jade Aldemir is a major character in Dying Light. She is a runner for The Tower by securing airdrops in The Slums ] \n<color=red>ITEM REQUIRED: Jade's Hair",
        CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/jade-skin.png");
            var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
            var bone = ModAPI.LoadTexture("Sprites/bone.png");
            var person = Instance.GetComponent<PersonBehaviour>();
            person.SetBodyTextures(skin, flesh, bone, 1);
        }
    }
        );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "\n<color=green>Dr. Zere",
                    DescriptionOverride = "\n<color=white>[ Dr. Imran Zere is a major character in Dying Light ]",
                    CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                    ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/zere-skin.png");
                        var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
                );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "Spike",
                   DescriptionOverride = "[ Spike ]",
                   CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                   ThumbnailOverride = ModAPI.LoadSprite("fuckyou.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var skin = ModAPI.LoadTexture("Sprites/birdperson.png");
                       var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                       var bone = ModAPI.LoadTexture("Sprites/bone.png");
                       var person = Instance.GetComponent<PersonBehaviour>();
                       person.SetBodyTextures(skin, flesh, bone, 1);
                   }
               }
               );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "\n<color=yellow>Karim",
                   DescriptionOverride = "\n<color=white>[ Karim is a character featured in Dying Light ]",
                   CategoryOverride = ModAPI.FindCategory("Dying Light Mod"),
                   ThumbnailOverride = ModAPI.LoadSprite("temp.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var skin = ModAPI.LoadTexture("Sprites/karim-skin.png");
                       var flesh = ModAPI.LoadTexture("Sprites/flesh.png");
                       var bone = ModAPI.LoadTexture("Sprites/bone.png");
                       var person = Instance.GetComponent<PersonBehaviour>();
                       person.SetBodyTextures(skin, flesh, bone, 1);
                           }
                       }
                       );
        }
    }
}
